Skip to main content
POST
/
organizations
/
{organizationId}
/
notification-channels
/
{notificationChannelId}
Update an Alert Notification Channel
curl --request POST \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/notification-channels/{notificationChannelId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "isShared": true,
  "name": "<string>",
  "type": "SLACK"
}
'
{
  "createdAt": "2022-11-22T04:37:12Z",
  "createdBy": {
    "id": "clm8qv74h000008mlf08scq7k",
    "apiTokenName": "my-token",
    "avatarUrl": "https://avatar.url",
    "fullName": "Jane Doe",
    "subjectType": "USER",
    "username": "user1@company.com"
  },
  "definition": "<unknown>",
  "entityId": "<string>",
  "entityType": "<string>",
  "id": "<string>",
  "isShared": true,
  "name": "<string>",
  "organizationId": "<string>",
  "type": "<string>",
  "updatedAt": "2022-11-22T04:37:12Z",
  "updatedBy": {
    "id": "clm8qv74h000008mlf08scq7k",
    "apiTokenName": "my-token",
    "avatarUrl": "https://avatar.url",
    "fullName": "Jane Doe",
    "subjectType": "USER",
    "username": "user1@company.com"
  },
  "deploymentId": "<string>",
  "entityName": "<string>",
  "workspaceId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the Organization to which the Notification Channel belongs.

notificationChannelId
string
required

The ID of the Notification Channel to update.

Body

application/json

The request body for updating a Notification Channel.

definition
object
isShared
boolean

When entity type is scoped to ORGANIZATION or WORKSPACE, this determines if child entities can access this notification channel.

name
string

The notification channel's name.

Required string length: 1 - 255
type
enum<string>

The notification channel's type.

Available options:
SLACK,
EMAIL,
PAGERDUTY,
DAG_TRIGGER,
OPSGENIE

Response

OK

createdAt
string<date-time>
required

The time when the alert was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

Example:

"2022-11-22T04:37:12Z"

createdBy
object
required
definition
any
required

The notification channel's definition.

entityId
string
required

The entity ID the notification channel is scoped to.

entityType
string
required

The type of entity the notification channel is scoped to.

id
string
required

The notification channel's ID.

isShared
boolean
required

When entity type is scoped to ORGANIZATION or WORKSPACE, this determines if child entities can access this notification channel.

name
string
required

The notification channel's name.

organizationId
string
required

The organization ID the notification channel is scoped to.

type
string
required

The notification channel's type.

updatedAt
string<date-time>
required

The time when the alert was updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

Example:

"2022-11-22T04:37:12Z"

updatedBy
object
required
deploymentId
string

The deployment ID the notification channel is scoped to.

entityName
string

The name of the entity the notification channel is scoped to.

workspaceId
string

The workspace ID the notification channel is scoped to.